package com.hzya.frame.sysnew.user.entity;


import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.buttonConfig.entity.SysButtonConfigEntity;

import java.util.List;

public class MenuVo {

    /** 主键ID */
    private String id;
    /** 名称 */
    private String name;
    /** 是否选中 */
    private boolean check;
    /** alwaysShow title  */
    private JSONObject meta;
    //下级菜单
    private List<MenuVo> children;
    //按钮
    private List<SysButtonConfigEntity> buttonList;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }

    public JSONObject getMeta() {
        return meta;
    }

    public void setMeta(JSONObject meta) {
        this.meta = meta;
    }

    public List<MenuVo> getChildren() {
        return children;
    }

    public void setChildren(List<MenuVo> children) {
        this.children = children;
    }

    public List<SysButtonConfigEntity> getButtonList() {
        return buttonList;
    }

    public void setButtonList(List<SysButtonConfigEntity> buttonList) {
        this.buttonList = buttonList;
    }
}

